﻿using Syncfusion.Windows.Controls.RichTextBoxAdv;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Sample
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void ApplyBullettedListButton_Click(object sender, RoutedEventArgs e)
        {
            ParagraphAdv paragraph = richTextBoxAdv.Document.Sections[0].Blocks[0] as ParagraphAdv;

            // Initializes a new abstract list instance.
            AbstractListAdv abstractListAdv = new AbstractListAdv(null);
            abstractListAdv.AbstractListId = 1;
            // Creates a new list instance.
            ListAdv listAdv = new ListAdv(null);
            listAdv.AbstractList = abstractListAdv;
            listAdv.AbstractListId = abstractListAdv.AbstractListId;
            listAdv.ListId = 1;
            // Defines new ListLevel instance.
            ListLevelAdv listLevel = new ListLevelAdv(listAdv.AbstractList);
            listLevel.ParagraphFormat.LeftIndent = 48d;
            listLevel.ParagraphFormat.FirstLineIndent = 24d;
            listLevel.FollowCharacter = FollowCharacterType.Tab;
            listLevel.ListLevelPattern = ListLevelPattern.LowLetter;
            listLevel.NumberFormat = "(%1.)";
            listLevel.RestartLevel = 0;
            listLevel.StartAt = 1;
            // Adds list level to abstract list.
            listAdv.AbstractList.Levels.Add(listLevel);

            // Adds abstract list to the document.
            richTextBoxAdv.Document.AbstractLists.Add(listAdv.AbstractList);
            // Adds list to the document.
            richTextBoxAdv.Document.Lists.Add(listAdv);

            // Defines list format for a paragraph.
            paragraph.ParagraphFormat.ListFormat.ListId = listAdv.ListId;
            paragraph.ParagraphFormat.ListFormat.ListLevelNumber = 0;
        }
    }
}
